Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004203TestLinkTest Plan (builds, milestones, test assign)public2011-01-29 19:562011-03-18 19:08
Reporterphidotnet 
Assigned Toasimon 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformMy SQL + ChromeOSWindowsOS VersionWindows 7
Product Version1.9.1 (bug fixing) 
Fixed in Version1.9.2 (2011 Q2 - bug fixing) 
Summary0004203: Test case become unassigned on a build when it is unassigned from another build
DescriptionAfter create new build with using option 'Copy tester assignments', we try to remove test cases PASSED from previous build out of the new build. Then the assignment from the old build is also changed.
Steps To Reproduce1) Create test plan and add 5 test cases into the test plan
2) Create build "Build 1", then assign 5 test cases to the "Build 1"
3) Execute "Build 1" with result in "Results by Tester per Build"
- Assigned: 5
- Passed: 1
- Failed: 1
- Blocked: 1
- Not Run: 2
4) Create new build "Build 2" with option 'Copy tester assignments' copied from "Build 1"
5) Unassigns 1 Passed test case in "Build 1" out of "Build 2"
- Setting > Build to assign: Build 2
- Filters > Result: Passed
- Filters > on: specific Build
- Filters > Build: Build 1
Save...

Actual result:
Check in "Results by Tester per Build" for "Build 1". New row "Unassigned executions" appears:
- Assigned: N/A
- Passed: 1
- Failed: N/A
- Blocked: N/A
- Not Run: N/A

Expected result:
- The new row "Unassigned executions" does not appear
- Assignment on "Build 1" isn't changed.
TagsNo tags attached.
Database (MySQL,Postgres,etc)My SQL
BrowserChrome
PHP Version5
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon Step 3.png [^] (24,344 bytes) 2011-01-30 18:13


png file icon Step 4.png [^] (34,427 bytes) 2011-01-30 18:13


png file icon Step 5 Setting.png [^] (67,022 bytes) 2011-01-30 18:14


png file icon Step 5 Report.png [^] (33,441 bytes) 2011-01-30 18:14


zip file icon fix_4203.zip [^] (8,761 bytes) 2011-02-07 16:41

- Relationships
has duplicate 0004128closedfman Report->Overall Build Status:the Assigned field is not correct sometimes 
child of 0004185closedfman Availables Fixes for 1.9.1 (Prague) 

-  Notes
(0013467)
Julian (reporter)
2011-01-29 20:22

provide some screenshots of the report.

results by tester per build shows results for EVERY build!

if you unassign from 1 build it must show unassigned execution for this one...

did you modify table ? click reset to default.

in addition i do not agree that this issue should be high/major
(0013473)
phidotnet (reporter)
2011-01-30 18:20
edited on: 2011-01-30 18:20

Can you please review my steps and screen shoots again in detail?

Then please adjust priority and severity accordingly.

If you need further information, please let me know.

(0013474)
Julian (reporter)
2011-01-30 18:45
edited on: 2011-01-30 18:46

report works fine.

if you unassign this test case it is evaluated as if it was never assigned.

-> no bug

as this report does only check those test cases who are REALLY assigned. all other executions are in a seperate row.

(0013475)
phidotnet (reporter)
2011-01-30 19:20

I am sorry that I have to reopen this issue to confirm my understanding.

I unassigned one test cases from "Build 2", why is it unassigned from "Build 1"?

In the assignment page, I only use "Build 1" to filter but Build to assign is "Build 2".

In your note, do you mean that when I unassigned one test case from one build in a test plan the system will consider it is never assigned to all other builds in the test plan?
(0013476)
Julian (reporter)
2011-01-30 20:52

last image does also only show 4 test cases in total for both builds....

anyway will take a look tomorrow and try to reproduce... please make sure reports really are not working properly
(0013503)
phidotnet (reporter)
2011-02-03 14:04

Yes, the "Build 2" shows 4 is correct but the "Build 1" must be 5.

Note that this is very common assignment process.
(0013504)
Julian (reporter)
2011-02-03 14:52

can reproduce.
problem came in with assignments per build - we will try to fix asap.

thank you
(0013552)
Julian (reporter)
2011-02-07 16:41

Try attached fix please, but handle with care. Our code repository is currently down so i cannot easily verify that no other changes have been made to these files. You can find out if you diff those files to those delivered with TL 1.9.1.
(0013562)
phidotnet (reporter)
2011-02-08 15:46

I applied the fix to the build 1.9.1 and verified this problem and also some scenarios around that.

It works well now.

Thank for providing the fix quickly.
(0013947)
fman (administrator)
2011-03-18 19:08

release - 1.9.2 - 20110320

- Issue History
Date Modified Username Field Change
2011-01-29 19:56 phidotnet New Issue
2011-01-29 20:22 Julian Note Added: 0013467
2011-01-30 08:32 fman Priority high => normal
2011-01-30 10:16 Julian Status new => feedback
2011-01-30 18:13 phidotnet File Added: Step 3.png
2011-01-30 18:13 phidotnet File Added: Step 4.png
2011-01-30 18:14 phidotnet File Added: Step 5 Setting.png
2011-01-30 18:14 phidotnet File Added: Step 5 Report.png
2011-01-30 18:20 phidotnet Note Added: 0013473
2011-01-30 18:20 phidotnet Status feedback => new
2011-01-30 18:20 phidotnet Note Edited: 0013473 View Revisions
2011-01-30 18:45 Julian Note Added: 0013474
2011-01-30 18:45 Julian Status new => resolved
2011-01-30 18:45 Julian Resolution open => no change required
2011-01-30 18:45 Julian Assigned To => Julian
2011-01-30 18:46 Julian Note Edited: 0013474 View Revisions
2011-01-30 19:20 phidotnet Note Added: 0013475
2011-01-30 19:20 phidotnet Status resolved => assigned
2011-01-30 19:20 phidotnet Resolution no change required => reopened
2011-01-30 20:52 Julian Note Added: 0013476
2011-02-03 14:04 phidotnet Note Added: 0013503
2011-02-03 14:51 Julian Assigned To Julian => asimon
2011-02-03 14:51 Julian Priority normal => urgent
2011-02-03 14:52 Julian Note Added: 0013504
2011-02-07 16:41 Julian Note Added: 0013552
2011-02-07 16:41 Julian File Added: fix_4203.zip
2011-02-08 15:46 phidotnet Note Added: 0013562
2011-02-11 13:08 Julian Status assigned => resolved
2011-02-11 13:08 Julian Fixed in Version => 1.9.2 (2011 Q2 - bug fixing)
2011-02-11 13:08 Julian Resolution reopened => fixed
2011-02-24 14:16 Julian Relationship added child of 0004185
2011-02-24 14:17 Julian Summary Test case becomes unassigned on a build when it is unassigned from another 'Copy tester assignments' build => Test case become unassigned on a build when it is unassigned from another build
2011-03-18 19:08 fman Note Added: 0013947
2011-03-18 19:08 fman Status resolved => closed
2011-04-01 18:19 Julian Relationship added has duplicate 0004128



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker